Page MenuHomePhabricator

AMDGPU: Rename flat operands to match mubuf
ClosedPublic

Authored by arsenm on May 25 2016, 10:32 AM.

Details

Summary

Use vaddr/vdst for the same purposes.

This also fixes a beg in SIInsertWaits for the
operand check. The stored value operand is currently called
data0 in the single offset case, not data.

Diff Detail

Event Timeline

arsenm updated this revision to Diff 58452.May 25 2016, 10:32 AM
arsenm retitled this revision from to AMDGPU: Rename flat operands to match mubuf.
arsenm updated this object.
arsenm added a reviewer: tstellarAMD.
arsenm added a subscriber: llvm-commits.
lib/Target/AMDGPU/SIInstrInfo.td
3110–3112 ↗(On Diff #58452)

Do the instruction formats need to change too?

arsenm updated this revision to Diff 76747.Nov 2 2016, 11:23 AM

Update for trunk

arsenm updated this revision to Diff 76750.Nov 2 2016, 11:30 AM
arsenm edited edge metadata.

Update for trunk

nhaehnle accepted this revision.Nov 18 2016, 3:37 AM
nhaehnle added a reviewer: nhaehnle.

LGTM

This revision is now accepted and ready to land.Nov 18 2016, 3:37 AM
arsenm closed this revision.Nov 29 2016, 11:41 AM

r288188